Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface PasswordPolicyMBean

public interface PasswordPolicyMBean
extends ConfigurationMBean

This bean represents the password policy properties of an entire Domain.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getLockoutCacheSize()` Size of cache of unused invalid login records.
`int` | `getLockoutDuration()` Number of minutes that a user's account will be locked after Lockoutthreshold number of invalid login attempts have taken plan within the LockoutRestDuration timeperiod.
`int` | `getLockoutGCThreshold()` If the number of current user InvalidLogin records is equal or great to this number the next time we go through the InvalidLogin record list we will garbage collect any records that have expired (e.g.
`int` | `getLockoutResetDuration()` Number of minutes within which the invalid login attempts must happen in order for the user's account to be locked.
`int` | `getLockoutThreshold()` Number of invalid logon attempts before account is to be locked
`int` | `getMinimumPasswordLength()` Returns the minimum length of any password, domain-wide.
`boolean` | `isLockoutEnabled()` Are we locking out users when there are invalid login attempts? If true this attribute turns on the other Lockout attributes, if false the other Lockout attributes are ignored.
`void` | `setLockoutCacheSize(int numRecords)`
`void` | `setLockoutDuration(int numMinutes)`
`void` | `setLockoutEnabled(boolean lockout)`
`void` | `setLockoutGCThreshold(int gCThreshold)`
`void` | `setLockoutResetDuration(int numMinutes)`
`void` | `setLockoutThreshold(int numInvalidLoginAttempts)`
`void` | `setMinimumPasswordLength(int len)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getMinimumPasswordLength

    public int getMinimumPasswordLength()

  Returns the minimum length of any password, domain-wide.

  Default Value: 8
  Legal Value: value >=0

### setMinimumPasswordLength

    public void setMinimumPasswordLength(int len)
                                  throws javax.management.InvalidAttributeValueException

### isLockoutEnabled

    public boolean isLockoutEnabled()

  Are we locking out users when there are invalid login attempts? If true this attribute turns on the other Lockout attributes, if false the other Lockout attributes are ignored.

  Default Value: true

### setLockoutEnabled

    public void setLockoutEnabled(boolean lockout)

### getLockoutThreshold

    public int getLockoutThreshold()

  Number of invalid logon attempts before account is to be locked

  Default Value: 5
  Legal Value: value >=1 && value <= 99999

### setLockoutThreshold

    public void setLockoutThreshold(int numInvalidLoginAttempts)
                             throws javax.management.InvalidAttributeValueException

### getLockoutDuration

    public int getLockoutDuration()

  Number of minutes that a user's account will be locked after Lockoutthreshold number of invalid login attempts have taken plan within the LockoutRestDuration timeperiod.

  Default Value: 30
  Legal Value: value >=0 && value <= 999999

### setLockoutDuration

    public void setLockoutDuration(int numMinutes)
                            throws javax.management.InvalidAttributeValueException

### getLockoutResetDuration

    public int getLockoutResetDuration()

  Number of minutes within which the invalid login attempts must happen in order for the user's account to be locked.

  Default Value: 5
  Legal Value: value >= 1 && value <= 99999

### setLockoutResetDuration

    public void setLockoutResetDuration(int numMinutes)
                                 throws javax.management.InvalidAttributeValueException

### getLockoutCacheSize

    public int getLockoutCacheSize()

  Size of cache of unused invalid login records. This saves us a little time so we don't recreate the records

  Default Value: 5
  Legal Value: value >= 0 && value <= 99999

### setLockoutCacheSize

    public void setLockoutCacheSize(int numRecords)
                             throws javax.management.InvalidAttributeValueException

### getLockoutGCThreshold

    public int getLockoutGCThreshold()

  If the number of current user InvalidLogin records is equal or great to this number the next time we go through the InvalidLogin record list we will garbage collect any records that have expired (e.g. a user makes an invalid login attempt and it has been more than the LockoutDuration since the attempt means that we can purge the record. Obviously the lower the number the more often we will walk the information which will result in a performance hit so the number is a tradeoff between memory and performance.

  Default Value: 400
  Legal Value: value >= 0 && value <= 999999

### setLockoutGCThreshold

    public void setLockoutGCThreshold(int gCThreshold)
                               throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD